<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cvs', function (Blueprint $table) {
            $table->id();
            $table->text('name');
            $table->text('mother_name')->nullable();
            $table->text('b_date')->nullable();
            $table->text('b_place')->nullable();
            $table->text('address')->nullable();
            $table->integer('telephone')->nullable();
            $table->string('mobile');
            $table->text('email')->nullable();
            $table->text('family')->nullable();
            $table->text('certificate')->default('no certificate')->nullable();
            $table->string('avg')->nullable();
            $table->integer('job_id')->nullable();
            $table->integer('sub_id')->nullable();
            $table->string('salary')->nullable();
            $table->integer('del')->default('0');
            $table->text('note')->default('add your notes');
            $table->text('noteadmin')->default('nobody');
            $table->text('valadmin')->default('nobody');
            $table->text('gender')->default('not detected');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cvs');
    }
};
